##############################################################################
# Variables for use in Docker Compose YAML files                             #
##############################################################################
# HINT: Use this bash command `id -u`
# NOTE: 0 (= root user) is not allowed
HOST_UID=

# HINT: Use this bash command `id -g`
HOST_GID=

# HINT: Use this bash command `getent group docker | cut -d: -f3`
HOST_DOCKER_GID=

# DEFAULT: nopaque
# DOCKER_DEFAULT_NETWORK_NAME=

# DEFAULT: ./volumes/db/data
# NOTE: Use `.` as <project-basedir>
# DOCKER_DB_SERVICE_DATA_VOLUME_SOURCE_PATH=

# DEFAULT: ./volumes/mq/data
# NOTE: Use `.` as <project-basedir>
# DOCKER_MQ_SERVICE_DATA_VOLUME_SOURCE_PATH=

# NOTE: This must be a network share and it must be available on all
#       Docker Swarm nodes, mounted to the same path with the same
#       user and group ownership.
DOCKER_NOPAQUE_SERVICE_DATA_VOLUME_SOURCE_PATH=

# DEFAULT: ./volumes/nopaque/logs
# NOTE: Use `.` as <project-basedir>
# DOCKER_NOPAQUE_SERVICE_LOGS_VOLUME_SOURCE_PATH=.
